# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define oldname python-cloudfiles
%define fedora 19

# FIX ME: Need to add code for building python26-cloudfiles.  Pending:
#
# https://bugzilla.redhat.com/show_bug.cgi?id=678690
# 

%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif

Name:       python-module-cloudfiles
Version:    1.7.10
Release:    alt1_3
Summary:    Python language bindings for Rackspace CloudFiles API

Group:      Development/Python
License:    MIT    
URL:        https://github.com/rackspace/python-cloudfiles

Source0:    http://pypi.python.org/packages/source/p/%{oldname}/%{oldname}-%{version}.tar.gz
BuildArch:  noarch

BuildRequires:  python-module-setuptools python-module-nose
Source44: import.info

%description
Python language bindings for Rackspace CloudFiles API

%prep
%setup -n %{oldname}-%{version} -q 

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 \
    --skip-build \
    --root %{buildroot}

%check
nosetests

%files
#%%doc ChangeLog COPYING
%{python_sitelibdir_noarch}/cloudfiles/
%{python_sitelibdir_noarch}/python_cloudfiles-*-py*.egg-info/

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1.7.10-alt1_3
- update to new release by fcimport

* Tue Dec 18 2012 Igor Vlasenko <viy@altlinux.ru> 1.7.10-alt1_2
- initial fc import

